
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>LINQ 学习路程 --  查询操作 Expression Tree / 憋错料</title>

    <meta name="description" content="LINQ 学习路程 --  查询操作 Expression Tree 表达式树就像是树形的数据结构,表达式树中的每一个节点都是表达式, 表达式树可以表示一个数学公式如:x&lt;y.x.&lt;.y都是一个表达式,并构成树形的数据结构 表达式树使lambda表达式的结构变得透明清楚, Expression&lt;Func&lt;Student, bool&gt;&gt; isTeenAgerExpr = s =&gt; s.age &gt; 12 &amp;&amp; s.age &lt; 20; 编译器将上面的表达式翻译成下面的表达式树 Expression.L ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">LINQ 学习路程 --  查询操作 Expression Tree</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>表达式树就像是树形的数据结构，表达式树中的每一个节点都是表达式，</p>
<p>表达式树可以表示一个数学公式如：x&lt;y。x、&lt;、y都是一个表达式，并构成树形的数据结构</p>
<p>表达式树使lambda表达式的结构变得透明清楚，</p>
<pre>Expression&lt;Func&lt;Student, bool&gt;&gt; isTeenAgerExpr = s =&gt; s.age &gt; 12 &amp;&amp; s.age &lt; 20;</pre>
<p>编译器将上面的表达式翻译成下面的表达式树</p>
<pre>Expression.Lambda&lt;Func&lt;Student, bool&gt;&gt;(
                Expression.AndAlso(
                    Expression.GreaterThan(Expression.Property(pe, "Age"), Expression.Constant(12, typeof(int))),
                    Expression.LessThan(Expression.Property(pe, "Age"), Expression.Constant(20, typeof(int)))),
                        new[] { pe });</pre>
<p>你可以手动创建一个表达式树，如下</p>
<pre>Func&lt;Student, bool&gt; isAdult = s =&gt; s.age &gt;= 18;</pre>
<p>1.先创建参数节点</p>
<pre>ParameterExpression pe = Expression.Parameter(typeof(Student), "s");</pre>
<p>2.再创建属性节点</p>
<pre>MemberExpression me = Expression.Property(pe, "Age");</pre>
<p>3.再创建常量表达式节点</p>
<pre>ConstantExpression constant = Expression.Constant(18, typeof(int));</pre>
<p>4.再创建比较节点</p>
<pre>BinaryExpression body = Expression.GreaterThanOrEqual(me, constant);</pre>
<p>5.创建表达式树</p>
<pre>var isAdultExprTree = Expression.Lambda&lt;Func&lt;Student, bool&gt;&gt;(body, new[] { pe });</pre>
<p>下图展示构建表达式树的过程</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzM3ODMxNi8yMDE3MDMvMzc4MzE2LTIwMTcwMzI1MTEyODIxODc3LTI0ODA4MTg4MC5wbmc=.jpg"></p>
<p>Func&lt;T&gt;类型的委托将编辑成可执行代码，而Expression&lt;TDelegate&gt;将编译成表达式树</p>
<p>可执行代码运行在同一个应用程序域中，并且操作内存中的集合，</p>
<p>Enumerable静态类包含一些扩展方法操作内存中的集合（实现IEnumerable&lt;T&gt;接口的集合。如List&lt;T&gt;,Dictionary&lt;T&gt;）</p>
<p>Enumerable静态类的扩展方法接收Func类型的参数，然后编译成中间语言操作内存中的个集合</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzM3ODMxNi8yMDE3MDMvMzc4MzE2LTIwMTcwMzI1MTEzMzUwOTg2LTE1NTY3NDE3NjkucG5n.jpg"></p>
<p>Func委托是一行可执行代码。如果你debug代码，你会发现Func委托是一个不透明的代码</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzM3ODMxNi8yMDE3MDMvMzc4MzE2LTIwMTcwMzI1MTEzNTM0MzE1LTE3NTU5MjYxNS5wbmc=.jpg"></p>
<p>Expression&lt;T&gt;将编译成表达式树的数据结构</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzM3ODMxNi8yMDE3MDMvMzc4MzE2LTIwMTcwMzI1MTEzNjQ0MDk2LTE4NzU2NTYyNTQucG5n.jpg"></p>
<p>LINQ查询不是在同一个应用域中运行，例如下面的查询语句实际上永远不会在你的应用程序中运行</p>
<pre>var query = from s in dbContext.Students
            where s.Age &gt;= 18
            select s;</pre>
<p>它将被翻译成SQL语句，然后在数据库服务器上运行</p>
<p>一个查询表达式被翻译成SQL语句，作为一个字符串传递给另一个程序，例如LINQ-to-SQL或EntityFramework，将在数据库服务器上运行</p>
<p>很明显，将表达式树翻译成SQL语句比将IL代码翻译成SQL语句更容易。</p>
<p>很容易的从表达式树中获取信息</p>
<p>Queryable静态类中包含一些扩展方法接收一个Expression类型的参数，该参数将被转换成表达式树，作为数据结构传递给LINQ提供者，提供者将表达式创建成适当的查询语句并执行</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzM3ODMxNi8yMDE3MDMvMzc4MzE2LTIwMTcwMzI1MTE0NjAwODkzLTEwNjM5NTkxMjMucG5n.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 18:21:16 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e9%9b%86%e5%90%88/" title="集合">集合</a>, <a href="https://www.biecuoliao.com/tag/png/" title="png">png</a>, <a href="https://www.biecuoliao.com/tag/%e6%8a%80%e6%9c%af/" title="技术">技术</a>, <a href="https://www.biecuoliao.com/tag/property/" title="property">property</a>, <a href="https://www.biecuoliao.com/tag/%e8%bd%ac%e6%8d%a2/" title="转换">转换</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.biecuoliao.com/tag/entity/" title="entity">entity</a>, <a href="https://www.biecuoliao.com/tag/expr/" title="expr">expr</a>, <a href="https://www.biecuoliao.com/tag/%e8%a1%a8%e8%be%be%e5%bc%8f%e6%a0%91/" title="表达式树">表达式树</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>LINQ 学习路程 --  查询操作 Expression Tree的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Kyq6m4.html" rel="bookmark">LINQ 学习路程 --  查询操作 OrderBy &amp;amp&semi; OrderByDescending</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Sorting Operator Description OrderBy 通过给定的字段进行升序 降序 排序 OrderByDescending 通过给定字段进行降序排序,仅在方法查询中使用 ThenBy 第二级升序排序,仅在方法查询中使用 ThenByDescending 第二级降序排序,仅在方法查询中使用 Reverse 反转集合,仅在方法查询中使用 IList&lt;Student&gt; studentList = new List&lt;Student&gt;() { new Student()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j5XYEM.html" rel="bookmark">LINQ 学习路程 --  查询操作 where</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.where Filtering Operators Description Where Returns values from the collection based on a predicate function OfType Returns values from the collection based on a specified type. However, it will depend on their ability to cast to a specified type.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38wxWn0.html" rel="bookmark">LINQ 学习路程 --  查询操作 Deferred Execution of LINQ Query 延迟执行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				延迟执行是指一个表达式的值延迟获取,知道它的值真正用到. 当你用foreach循环时,表达式才真正的执行. 延迟执行有个最重要的好处:它总是给你最新的数据 实现延迟运行 你可以使用yield关键字实现延迟加载 public static class EnumerableExtensionMethods { public static IEnumerable&lt;Student&gt; GetTeenAgerStudents(this IEnumerable&lt;Student&gt; source)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDvG2K3.html" rel="bookmark">LINQ 学习路程 --  查询操作 Join</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Join操作是将两个集合联合 Joining Operators Usage Join 将两个序列连接并返回结果集 GroupJoin 根据key将两个序列连接返回,像是SQL中的Left Join Join操作两个集合,inner collection 和 outer collection 它返回一个集合(包含两个集合根据特定条件结合的所有元素),和SQL中的inner join一样 public static IEnumerable&lt;TResult&gt; Join&lt;TOuter, TIn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDZogo3.html" rel="bookmark">LINQ 学习路程 --  查询操作 OfType</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OfType操作根据集合中的元素是否是给定的类型进行筛选 IList mixedList = new ArrayList(); mixedList.Add(0); mixedList.Add(&quot;One&quot;); mixedList.Add(&quot;Two&quot;); mixedList.Add(3); mixedList.Add(new Student() { StudentID = 1, StudentName = &quot;Bill&quot; }); var stringR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBawoA4.html" rel="bookmark">LINQ 学习路程 --  查询操作 let into关键字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IList&lt;Student&gt; studentList = new List&lt;Student&gt;() { new Student() { StudentID = 1, StudentName = &quot;John&quot;, Age = 18 } , new Student() { StudentID = 2, StudentName = &quot;Steve&quot;, Age = 21 } , new Student() { StudentID = 3, StudentN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xrwpr4.html" rel="bookmark">LINQ 学习路程 --  查询操作 GroupBy ToLookUp</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Grouping Operators Description GroupBy GroupBy操作返回根据一些键值进行分组,每组代表IGrouping&lt;TKey,TElement&gt;对象 ToLookup ToLookup is the same as GroupBy; the only difference is the execution of GroupBy is deferred whereas ToLookup execution is immediate. IList&lt;Stude			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wvym80.html" rel="bookmark">LINQ 学习路程 --  查询操作 ThenBy &amp;amp&semi; ThenByDescending</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IList&lt;Student&gt; studentList = new List&lt;Student&gt;() { new Student() { StudentID = 1, StudentName = &quot;John&quot;, Age = 18 } , new Student() { StudentID = 2, StudentName = &quot;Steve&quot;, Age = 15 } , new Student() { StudentID = 3, StudentN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBj7LZM.html" rel="bookmark">LINQ 学习路程 --  查询操作 Quantifier Operators All Any Contain</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Operator Description All 判断所有的元素是否满足条件 Any 判断存在一个元素满足条件 Contain 判断是否包含元素 IList&lt;Student&gt; studentList = new List&lt;Student&gt;() { new Student() { StudentID = 1, StudentName = &quot;John&quot;, Age = 18 } , new Student() { StudentID = 2, StudentName			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41e7v4.html" rel="bookmark" class="title">CSS三列等高</a>
					<div>
						方式1:这种方式主要的原理是给每个框设置大的底内边距,然后 用数值相似的负值外边距消除浮动 &lt;html&gt; &lt;head&gt; &lt;title&gt;&lt;/title&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eQ8E0.html" rel="bookmark" class="title">Android开发实战之补间动画和属性动画</a>
					<div>
						说起动画,其实一点也不陌生,在使用一款app的时候为了优化用户体验,多多少少的,都会加入动画. 安卓中的动画,分为两大类:补间动画和属性动画.本篇博文会详细介绍总结这两大动画,希望本篇博文对你的学习和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V028wD4.html" rel="bookmark" class="title">linux命令（36）：which命令</a>
					<div>
						我们经常在linux要查找某个文件,但不知道放在哪里了,可以使用下面的一些命令来搜索:        which  查看可执行文件的位置.       whereis 查看文件的位置.         ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZPemM.html" rel="bookmark" class="title">code2uml使用教程</a>
					<div>
						通常的开发顺序是 先设计uml然后进行code编程. 但是很多时候我们是先看到code源码,却不知道uml关系如何. 特别是写论文的时候也是很需要的. 这个code2uml,就是辛苦搜寻到的结果,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZLjbM.html" rel="bookmark" class="title">朴素贝叶斯分类--python实现</a>
					<div>
						1.概述 朴素贝叶斯分类是贝叶斯分类器的一种,贝叶斯分类算法是统计学的一种分类方法,利用概率统计知识进行分类,其分类原理就是利用贝叶斯公式根据某对象的先验 概率计算出其后验概率(即该对象属于某一类的概 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNVd63.html" rel="bookmark" class="title">聊Javascript中的AOP编程</a>
					<div>
						我们先不谈AOP编程,先从duck punch编程谈起. 如果你去wikipedia中查找duck punch,你查阅到的应该是monkey patch这个词条.根据解释,Monkey patch这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Om9EZM.html" rel="bookmark" class="title">揭秘腾讯burberry活动页面中的特效</a>
					<div>
						4月24日,Burberry亚太地区规模最大的旗舰店在上海开幕.Burberry突破性地运用了诸多创新的数字营销模式,借助与腾讯的合作,为更多未能到场的用户创造了一个&quot;平行的体验&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38ZNZRM.html" rel="bookmark" class="title">js多个&lpar;N&rpar;个数组的的元素组合排序算法&comma;多维数组的排列组合或多个数组之间的排列组合</a>
					<div>
						现在有一批手机,其中颜色有［'白色','黑色','金色','粉红色'］:内存大小有［'16G','32G','64G','128G'］,版本有［'移动','联通','电信'］,要求写一个算法,实现［［ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6Nn2GM.html" rel="bookmark" class="title">ssh问题</a>
					<div>
						一.基于秘钥认证: ssh-keygen ssh-copy-id -i .ssh/id_rsa.pub 10.10.10.70#在对方authorized_keys 文件中写入自己的id_rsa.pu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8oWO3.html" rel="bookmark" class="title">说说eclipse调优，缩短启动时间</a>
					<div>
						初始配置: -startup plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar --launcher.library plug ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qpyR3.html" rel="bookmark" class="title">iOS 开发技巧收藏贴 链接整理</a>
					<div>
						54个技巧 57个技巧 正则表达式					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWLlJb0.html" rel="bookmark" class="title">小学奥数读本（三年级），P133第12题</a>
					<div>
						小学奥数读本(三年级),P133第12题. 用一到八,八个数,组成一道除法算式:口口口口÷口=口口口 这题有两个答案: 453*6=2718 582*3=1746 用pascal编程解决,解法一: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbjYv3.html" rel="bookmark" class="title">美国退出QE会令中国楼市危险 房价大跌？</a>
					<div>
						美国退出QE会令中国楼市危险 房价大跌? 业内热评长江商报[微博]2014-11-02 08:20 我要分享 0 美联储即将宣布退出近七年的量化宽松(QE)政策.除了环球资本市场可能受到影响外,不少专 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLKEp4.html" rel="bookmark" class="title">SQL Server 2008R2 数据库出现&OpenCurlyDoubleQuote;可疑&rdquo;导致无法访问</a>
					<div>
						日常对Sql Server关系数据库进行操作时,有时对数据库(如:Sharepoint网站配置数据库名Sharepoint_Config)进行些不正常操作如数据库在读写时而无故停止数据库,从而导致Sq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWq6wa3.html" rel="bookmark" class="title">企业IT管理体系可借助于业界的最佳实践和标准</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLWnQ0.html" rel="bookmark" class="title">【Linux】字符转换命令tr</a>
					<div>
						tr (traslate的缩写)可以用来删除一段信息当中的文字,或者是进行文字信息的替换! [[email protected] ~]# tr [-ds] SET1 ... 选项与参数: -d :删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLrPo4.html" rel="bookmark" class="title">关于学习汇编的一些规则的理解&lpar;div mul cf of&rpar;</a>
					<div>
						-&gt;1.div(除法)  被除数/除数 -&gt;一共有三种格式的除法,分别是8位,16位,32位,这里的位数表示的是除数的位数 -&gt;实现div其实也很简单就是除数为被除数的一半就ok - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AWnBZ0.html" rel="bookmark" class="title">github pages部署静态网页</a>
					<div>
						如果你的项目只是一个静态网站,就没有必要再去整什么服务器,github pages 提供了搭建静态网站的功能: 为什么使用Github Pages 1. 搭建简单而且免费: 2. 支持静态脚本: 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351QNn3.html" rel="bookmark" class="title">【Android UI设计与开发】顶部标题栏（一）ActionBar 奥义&amp;&num;183&semi;详解</a>
					<div>
						转自:http://www.cnblogs.com/yc-755909659/p/4290784.html 一.ActionBar介绍 在Android 3.0中除了我们重点讲解的Fragment外, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJx6P3.html" rel="bookmark" class="title">【js与jquery】三级联动菜单的制作</a>
					<div>
						1.效果如图所示: 2.html代码: [php] view plaincopy &lt;li&gt;&lt;span class=&quot;receiving&quot;&gt;所在地区:&lt; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
